<?php
/**
 * Plugin Name: Block Dashboard Access for Non-Admins
 * Description: Forrás: https://jeroensormani.com/block-dashboard-access-non-admins/
 * Version:     1.1
 * Author:      Jeroen Sormani
 */
 
function js_hide_admin_bar( $show ) {
	if ( ! current_user_can( 'administrator' ) ) {
		return false;
	}

	return $show;
}
add_filter( 'show_admin_bar', 'js_hide_admin_bar' );


function ace_block_wp_admin() {
	if ( is_admin() && ! current_user_can( 'administrator' ) && ! ( defined( 'DOING_AJAX' ) && DOING_AJAX ) ) {
		wp_safe_redirect( home_url() );
		exit;
	}
}
add_action( 'admin_init', 'ace_block_wp_admin' );